> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a form template



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json post /v1/form-templates
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/form-templates:
    post:
      tags:
        - FormTemplate
      summary: Create a form template
      operationId: formTemplate.store
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FormTemplateStoreRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/FormTemplateResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    FormTemplateStoreRequest:
      type: object
      properties:
        name:
          type: string
          description: The name.
          maxLength: 255
        description:
          type:
            - string
            - 'null'
          description: The description.
        is_active:
          type: boolean
          description: Whether the record is active.
      required:
        - name
        - is_active
      title: FormTemplateStoreRequest
    FormTemplateResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        system_name:
          type: string
        description:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        questions:
          type: array
          items:
            $ref: '#/components/schemas/FormQuestionResource'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - system_name
        - description
        - is_active
        - created_at
        - updated_at
        - deleted_at
      title: FormTemplateResource
    FormQuestionResource:
      type: object
      properties:
        id:
          type: integer
        order:
          type: integer
        label:
          type: string
        helper_text:
          type:
            - string
            - 'null'
        question_type:
          type: string
        required:
          type: boolean
        options:
          type: array
          items:
            $ref: '#/components/schemas/FormOptionResource'
        visibility_rules:
          type: array
          items:
            $ref: '#/components/schemas/FormVisibilityRuleResource'
      required:
        - id
        - order
        - label
        - helper_text
        - question_type
        - required
      title: FormQuestionResource
    FormOptionResource:
      type: object
      properties:
        id:
          type: integer
        label:
          type: string
        order:
          type: integer
      required:
        - id
        - label
        - order
      title: FormOptionResource
    FormVisibilityRuleResource:
      type: object
      properties:
        id:
          type: integer
        depends_on_question_id:
          type: integer
        operator:
          type: string
        value:
          type: string
        match_type:
          type: string
      required:
        - id
        - depends_on_question_id
        - operator
        - value
        - match_type
      title: FormVisibilityRuleResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````